# flutter_reasonable_colors

This is a Flutter package for the open-source color system Reasonable Colors, made by Matthew Howell.

## Features

- Reasonable Colors is free and open source.
- Reasonable colors are accessible.
- Reasonable colors are easy to use.

## Installation

```console
flutter pub add flutter_reasonable_colors
```

## Getting started

Each ColorSwatch constant is a color and can used directly. For example:

```dart
Container(
  color: ReasonableColors.blue, // same as ReasonableColors.blue[300] or ReasonableColors.blue.shade300
)
```

## Shades

Each color comes in 6, numbered shades. The contrast between any two shades can be inferred by the difference between their shade numbers.

## Contrast

Minimum contrast can be inferred by the difference between two SHADE numbers

- The contrast between any shades with a difference of **2** (shade-2 and shade-4, for example) will be at least **3:1**.
- The contrast between any shades with a difference of **3** (shade-2 and shade-5, for example) will be at least **4.5:1**.
- The contrast between any shades with a difference of **4** (shade-2 and shade-6, for example) will be at least **7:1**.

## Colors

- Gray

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_grey.png)

- Rose

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_rose.png)

- Raspberry

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_raspberry.png)

- Red

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_red.png)

- Orange

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_orange.png)

- Cinnamon

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_cinnamon.png)

- Amber

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_amber.png)

- Yellow

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_yellow.png)

- Lime

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_lime.png)

- Chartreuse

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_chartreuse.png)

- Green

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_green.png)

- Emerald

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_emerald.png)

- Aquamarine

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_aquamarine.png)

- Teal

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_teal.png)

- Cyan

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_cyan.png)

- Powder

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_powder.png)

- Sky

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_sky.png)

- Cerulean

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_cerulean.png)

- Azure

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_azure.png)

- Blue

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_blue.png)

- Indigo

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_indigo.png)

- Violet

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_violet.png)

- Purple

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_purple.png)

- Magenta

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_magenta.png)

- Pink

![reasonable_colors_grey](https://raw.githubusercontent.com/georgiadisc/flutter_reasonable_colors/main/images/reasonable_colors_pink.png)



## Additional information

More information available at: https://www.reasonable.work/colors
